## golang-github-containers-storage 1.15.3+dfsg1

=== tests/tools/Makefile ===
export GO111MODULE=off

GO := go

BUILDDIR := build

all: $(BUILDDIR)

.PHONY: vendor
vendor:
	export GO111MODULE=on \
		$(GO) mod tidy && \
		$(GO) mod vendor && \
		$(GO) mod verify

define go-build
	$(shell cd `pwd` && $(GO) build -o $(BUILDDIR)/$(shell basename $(1)) $(1))
	@echo > /dev/null
endef

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)

$(BUILDDIR): \
	$(BUILDDIR)/ffjson \
	$(BUILDDIR)/git-validation \
	$(BUILDDIR)/go-md2man \
	$(BUILDDIR)/golangci-lint

$(BUILDDIR)/ffjson:
	$(call go-build,./vendor/github.com/pquerna/ffjson)

$(BUILDDIR)/git-validation:
	$(call go-build,./vendor/github.com/vbatts/git-validation)

$(BUILDDIR)/go-md2man:
	$(call go-build,./vendor/github.com/cpuguy83/go-md2man)

$(BUILDDIR)/golangci-lint:
	$(call go-build,./vendor/github.com/golangci/golangci-lint/cmd/golangci-lint)

## golang-github-containers-storage 1.13.2+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.13.2+dfsg1-1) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Prepare new upload
  * New upstream requires golang-github-datadog-zstd-dev

  [ Dmitry Smirnov ]
  * Added "Built-Using" field to binary package.
  * dev: added missing ostree dependency; new patch to use available fork.

  [ Reinhard Tartler ]
  * New upstream version 1.13.2

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 11 Sep 2019 07:51:52 -0400

golang-github-containers-storage (1.12.2-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Apr 2019 08:12:52 -0400

golang-github-containers-storage (1.5-1) experimental; urgency=medium

  * Initial release (Closes: #921949)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Feb 2019 08:23:47 -0500

=== debian/control ===
Source: golang-github-containers-storage
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 11),
               dh-golang,
               ffjson,
               go-md2man,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-datadog-zstd-dev,
               golang-github-docker-docker-dev (>= 18.09.1+dfsg1-6),
               golang-github-docker-go-units-dev,
               golang-github-gotestyourself-gotest.tools-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-runc-dev,
               golang-github-opencontainers-selinux-dev (>= 1.0.0),
               golang-github-pkg-errors-dev,
               golang-github-pquerna-ffjson-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-github-vbatts-tar-split-dev,
               golang-go-patricia-dev,
               golang-go-zfs-dev,
               golang-gocapability-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               libbtrfs-dev,
               libdevmapper-dev,
               libostree-dev
Standards-Version: 4.2.1
Homepage: https://github.com/containers/storage
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
XS-Go-Import-Path: github.com/containers/storage
Testsuite: autopkgtest-pkg-go

Package: golang-github-containers-storage-dev
Architecture: all
Depends: ${misc:Depends},
         libbtrfs-dev,
         libdevmapper-dev,
         libostree-dev,
         golang-github-burntsushi-toml-dev,
         golang-github-datadog-zstd-dev,
         golang-github-docker-docker-dev (>= 18.09.1+dfsg1-6),
         golang-github-docker-go-units-dev,
         golang-github-gotestyourself-gotest.tools-dev,
         golang-github-klauspost-pgzip-dev,
         golang-github-mattn-go-shellwords-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-runc-dev,
         golang-github-opencontainers-selinux-dev (>= 1.0.0),
         golang-github-pkg-errors-dev,
         golang-github-pquerna-ffjson-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-sjoerdsimons-ostree-go-dev (>= 0.0~git20190304~) | golang-github-ostreedev-ostree-go-dev,
         golang-github-stretchr-testify-dev,
         golang-github-vbatts-tar-split-dev,
         golang-go-patricia-dev,
         golang-go-zfs-dev,
         golang-gocapability-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
Description: Go library for handling how containers are stored on disk
 storage is a Go library which aims to provide methods for storing
 filesystem layers, container images, and containers.  A containers-storage
 CLI wrapper is also included for manual and scripting use.
 .
 This package contains the library.

Package: containers-storage
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CLI tools for handling how containers are stored on disk
 storage is a Go library which aims to provide methods for storing
 filesystem layers, container images, and containers.  A containers-storage
 CLI wrapper is also included for manual and scripting use.
 .
 This package contains the CLI tools.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1

override_dh_auto_test:
	# Some tests require root privileges. Upstream provides
	# scripts to easily setup test VMs using vagrant, which
	# is not appropriate in a debian package build.
	DH_GOLANG_EXCLUDES="drivers/aufs drivers/btrfs drivers/devmapper drivers/overlay drivers/vfs drivers/zfs pkg/archive pkg/chrootarchive pkg/idtools pkg/mount pkg/system" \
	dh_auto_test -v

%:
	dh $@ --buildsystem=golang --with=golang --ignore=bin/example

override_dh_installman:
	make -C docs GOMD2MAN=go-md2man
	dh_installman -pcontainers-storage docs/*.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-containers-storage-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/containers/storage/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-containers-storage 1.13.5+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.13.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Install "containers-storage.conf.5" man page.
  * Install example "storage.conf".
  * Updated "watch" file to fix L/W: debian-watch-file-should-mangle-version.
  * (Build-)Depends:
    - golang-github-ostreedev-ostree-go-dev
    - libostree-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Nov 2019 08:48:35 +1100

golang-github-containers-storage (1.13.2+dfsg1-3) unstable; urgency=medium

  * Build with "ostree" tag.
  * Standards-Version: 4.4.1.
  * Added myself to Uploaders.
  * Switched to the original "ostreedev/ostree-go" library.
  * (Build-)Depends:
    - golang-github-sjoerdsimons-ostree-go-dev
    + golang-github-ostreedev-ostree-go-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Nov 2019 13:51:54 +1100

golang-github-containers-storage (1.13.2+dfsg1-2) unstable; urgency=medium

  * Team upload.

  [ Dmitry Smirnov ]
  * New patch to fix FTBFS on mips.

  [ Arnaud Rebillout ]
  * New upstream patch to fix build against docker-dev 19.03.
  * Removed "golang-github-docker-docker-dev" from (Build-)Depends.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Fri, 01 Nov 2019 11:19:03 +0700

## golang-github-containers-storage 1.15.1+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.15.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 03:17:29 +1100

## golang-github-containers-storage 1.15.2+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.15.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 10 Dec 2019 19:06:27 +1100

## golang-github-containers-storage 1.15.3+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.15.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Dec 2019 14:51:36 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>
+Uploaders: Reinhard Tartler <siretart@tauware.de>,
+           Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-golang,
                ffjson,
@@ -10,7 +11,6 @@
                golang-any,
                golang-github-burntsushi-toml-dev,
                golang-github-datadog-zstd-dev,
-               golang-github-docker-docker-dev (>= 18.09.1+dfsg1-6),
                golang-github-docker-go-units-dev,
                golang-github-gotestyourself-gotest.tools-dev,
                golang-github-klauspost-pgzip-dev,
@@ -30,8 +30,7 @@
                golang-golang-x-sys-dev,
                libbtrfs-dev,
                libdevmapper-dev,
-               libostree-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/containers/storage
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
@@ -43,10 +42,8 @@
 Depends: ${misc:Depends},
          libbtrfs-dev,
          libdevmapper-dev,
-         libostree-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-datadog-zstd-dev,
-         golang-github-docker-docker-dev (>= 18.09.1+dfsg1-6),
          golang-github-docker-go-units-dev,
          golang-github-gotestyourself-gotest.tools-dev,
          golang-github-klauspost-pgzip-dev,
@@ -57,7 +54,6 @@
          golang-github-pkg-errors-dev,
          golang-github-pquerna-ffjson-dev,
          golang-github-sirupsen-logrus-dev,
-         golang-github-sjoerdsimons-ostree-go-dev (>= 0.0~git20190304~) | golang-github-ostreedev-ostree-go-dev,
          golang-github-stretchr-testify-dev,
          golang-github-vbatts-tar-split-dev,
          golang-go-patricia-dev,

## golang-github-containers-storage 1.15.5+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.15.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 29 Dec 2019 22:57:42 +1100

## golang-github-containers-storage 1.15.7+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.15.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * control: set "Rules-Requires-Root: no".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Jan 2020 20:40:19 +1100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-golang,
                ffjson,
                go-md2man,
@@ -36,6 +36,7 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
 XS-Go-Import-Path: github.com/containers/storage
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-containers-storage-dev
 Architecture: all

## golang-github-containers-storage 1.15.8+dfsg1

=== docs/Makefile ===
GOMD2MAN = ../tests/tools/build/go-md2man
PREFIX ?= ${DESTDIR}/usr
MANINSTALLDIR=${PREFIX}/share/man
MANPAGES_MD = $(wildcard docs/*.5.md)
MANPAGES ?= $(MANPAGES_MD:%.md=%)

docs: $(patsubst %.md,%.1,$(filter-out %.5.md,$(wildcard *.md))) containers-storage.conf.5

%.1: %.md
	$(GOMD2MAN) -in $^ -out $@

containers-storage.conf.5: containers-storage.conf.5.md
	$(GOMD2MAN) -in $^ -out $@

install:
	install -d -m 755 ${MANINSTALLDIR}/man5
	install -m 644 *.5 ${MANINSTALLDIR}/man5/

=== tests/tools/Makefile ===
--- 
+++ 
@@ -38,4 +38,8 @@
 	$(call go-build,./vendor/github.com/cpuguy83/go-md2man)
 
 $(BUILDDIR)/golangci-lint:
-	$(call go-build,./vendor/github.com/golangci/golangci-lint/cmd/golangci-lint)
+	export \
+		VERSION=v1.23.1 \
+		URL=https://raw.githubusercontent.com/golangci/golangci-lint \
+		BINDIR=$(BUILDDIR) && \
+	curl -sfL $$URL/$$VERSION/install.sh | sh -s $$VERSION

=== debian/changelog ===
golang-github-containers-storage (1.15.8+dfsg1-1ubuntu2.1) focal-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 10:05:02 +0530

golang-github-containers-storage (1.15.8+dfsg1-1ubuntu2) focal; urgency=medium

  * Build with Go 1.20 to fix FTBFS against runc (LP: #2028405).
    - d/control: b-d on golang-1.20-go instead of golang-any.
    - d/rules: add Go 1.20 to the $PATH.
    - d/p/skip-test-failing-with-go-1.20.patch: avoid test failure with Go 1.20.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 17 Jul 2023 16:41:36 -0300

golang-github-containers-storage (1.15.8+dfsg1-1ubuntu1) focal; urgency=medium

  * d/p/support-runc-1.x.patch: Add patch to comply with API changes in
    libcontainer inside runc (LP: #1938908).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 18 Oct 2021 09:29:32 -0300

golang-github-containers-storage (1.15.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 05 Feb 2020 11:05:13 +1100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: golang-github-containers-storage
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 11),
                dh-golang,
                ffjson,
                go-md2man,
-               golang-any,
+               golang-1.20-go,
                golang-github-burntsushi-toml-dev,
                golang-github-datadog-zstd-dev,
                golang-github-docker-go-units-dev,
@@ -30,7 +31,7 @@
                golang-golang-x-sys-dev,
                libbtrfs-dev,
                libdevmapper-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/containers/storage
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DH_GOLANG_GO_GENERATE := 1
+
+# Build with Golang 1.20
+export PATH := /usr/lib/go-1.20/bin/:$(PATH)
 
 override_dh_auto_test:
 	# Some tests require root privileges. Upstream provides
@@ -14,4 +17,4 @@
 
 override_dh_installman:
 	make -C docs GOMD2MAN=go-md2man
-	dh_installman -pcontainers-storage docs/*.1
+	dh_installman -pcontainers-storage docs/*.1 docs/*.5

## golang-github-containers-storage 1.20.2

=== debian/changelog ===
golang-github-containers-storage (1.20.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Jul 2020 06:45:35 -0400

golang-github-containers-storage (1.20.2-2) experimental; urgency=medium

  * unbreak build on mipsen

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Jul 2020 15:27:37 -0400

golang-github-containers-storage (1.20.2-1) experimental; urgency=medium

  * New upstream version: 1.20.2
  * remove local patches, all merged upstream
  * Exclude tests in pkg/unshare

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 Jul 2020 21:00:38 -0400

golang-github-containers-storage (1.18.2+dfsg1-1) experimental; urgency=medium

  * New upstream version 1.18.2+dfsg1
  * pick up new dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Apr 2020 18:12:56 -0400

golang-github-containers-storage (1.15.8+dfsg1-2) unstable; urgency=medium

  * Add patch to fix FTBFS on mipsen

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 29 May 2020 06:44:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: golang-github-containers-storage
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 11),
                dh-golang,
                ffjson,
                go-md2man,
-               golang-1.20-go,
+               golang-any,
                golang-github-burntsushi-toml-dev,
                golang-github-datadog-zstd-dev,
                golang-github-docker-go-units-dev,
                golang-github-gotestyourself-gotest.tools-dev,
+               golang-github-hashicorp-go-multierror-dev,
                golang-github-klauspost-pgzip-dev,
                golang-github-mattn-go-shellwords-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-runc-dev,
-               golang-github-opencontainers-selinux-dev (>= 1.0.0),
+               golang-github-opencontainers-selinux-dev (>= 1.4.0),
                golang-github-pkg-errors-dev,
                golang-github-pquerna-ffjson-dev,
                golang-github-sirupsen-logrus-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1

override_dh_auto_test:
	# Some tests require root privileges. Upstream provides
	# scripts to easily setup test VMs using vagrant, which
	# is not appropriate in a debian package build.
	DH_GOLANG_EXCLUDES="drivers/aufs drivers/btrfs drivers/devmapper drivers/overlay drivers/vfs drivers/zfs pkg/archive pkg/chrootarchive pkg/idtools pkg/mount pkg/system pkg/unshare" \
	dh_auto_test -v

%:
	dh $@ --buildsystem=golang --with=golang --ignore=bin/example

override_dh_installman:
	make -C docs GOMD2MAN=go-md2man
	dh_installman -pcontainers-storage docs/*.1 docs/*.5

## golang-github-containers-storage 1.21.2+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.21.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.21.2+dfsg1
  * debian/control: depend on golang-github-opencontainers-specs-dev
  * drop patches, applied upstream
  * Provide existant $HOME for tests
  * debian/control: depend on golang-github-golang-github-hashicorp-go-multierror-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 24 Jul 2020 06:40:48 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
                golang-github-mattn-go-shellwords-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-runc-dev,
-               golang-github-opencontainers-selinux-dev (>= 1.4.0),
+               golang-github-opencontainers-selinux-dev (>= 1.5.0),
+               golang-github-opencontainers-specs-dev,
                golang-github-pkg-errors-dev,
                golang-github-pquerna-ffjson-dev,
                golang-github-sirupsen-logrus-dev,
@@ -48,11 +49,13 @@
          golang-github-datadog-zstd-dev,
          golang-github-docker-go-units-dev,
          golang-github-gotestyourself-gotest.tools-dev,
+         golang-github-hashicorp-go-multierror-dev,
          golang-github-klauspost-pgzip-dev,
          golang-github-mattn-go-shellwords-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-runc-dev,
          golang-github-opencontainers-selinux-dev (>= 1.0.0),
+         golang-github-opencontainers-specs-dev,
          golang-github-pkg-errors-dev,
          golang-github-pquerna-ffjson-dev,
          golang-github-sirupsen-logrus-dev,

## golang-github-containers-storage 1.23.4+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.23.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.23.4+dfsg1
  * Add distro patch to skip TestDefaultStoreOpts

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 09 Sep 2020 22:27:09 -0400

## golang-github-containers-storage 1.23.5+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.23.5+dfsg1-1) unstable; urgency=medium

  * debian/copyright: update using cme update dpkg-copyright
  * New upstream version 1.23.5+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Nov 2020 15:20:52 -0500

## golang-github-containers-storage 1.23.9+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.23.9+dfsg1-1ubuntu2) hirsute; urgency=medium

  * Also depend on golang-github-moby-sys-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Dec 2020 13:03:05 -0800

golang-github-containers-storage (1.23.9+dfsg1-1ubuntu1) hirsute; urgency=medium

  * Add missing build-dependency on golang-github-moby-sys-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Dec 2020 09:03:25 -0800

golang-github-containers-storage (1.23.9+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.23.9+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Nov 2020 17:05:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-storage
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 11),
@@ -16,6 +17,7 @@
                golang-github-hashicorp-go-multierror-dev,
                golang-github-klauspost-pgzip-dev,
                golang-github-mattn-go-shellwords-dev,
+               golang-github-moby-sys-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-runc-dev,
                golang-github-opencontainers-selinux-dev (>= 1.5.0),
@@ -52,6 +54,7 @@
          golang-github-hashicorp-go-multierror-dev,
          golang-github-klauspost-pgzip-dev,
          golang-github-mattn-go-shellwords-dev,
+         golang-github-moby-sys-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-runc-dev,
          golang-github-opencontainers-selinux-dev (>= 1.0.0),

## golang-github-containers-storage 1.24.5+dfsg1

=== debian/changelog ===
golang-github-containers-storage (1.24.5+dfsg1-2ubuntu1) hirsute; urgency=medium

  * Merge from unstable. Remaining changes:
    - additional build-deps on golang-github-moby-sys-dev,
      golang-github-moby-sys-dev

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 04 Feb 2021 07:08:23 -0500

golang-github-containers-storage (1.24.5+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 02 Feb 2021 14:54:51 -0500

golang-github-containers-storage (1.24.5+dfsg1-1) experimental; urgency=medium

  * bump build-dependency on golang-golang-x-sys-dev
  * New upstream version 1.24.5+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Jan 2021 07:55:50 -0500

golang-github-containers-storage (1.24.3+dfsg1-2) experimental; urgency=medium

  * Force using the standard go-compiler

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Dec 2020 10:50:09 -0500

golang-github-containers-storage (1.24.3+dfsg1-1) experimental; urgency=medium

  * New upstream version 1.24.3+dfsg1

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Dec 2020 07:20:55 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-golang,
                ffjson,
                go-md2man,
-               golang-any,
+               golang-go (>> 2:1.14~~),
                golang-github-burntsushi-toml-dev,
                golang-github-datadog-zstd-dev,
                golang-github-docker-go-units-dev,
@@ -31,7 +31,7 @@
                golang-go-zfs-dev,
                golang-gocapability-dev,
                golang-golang-x-net-dev,
-               golang-golang-x-sys-dev,
+               golang-golang-x-sys-dev (>> 0.0~git20201223),
                libbtrfs-dev,
                libdevmapper-dev,
 Standards-Version: 4.5.0

## golang-github-containers-storage 1.24.8+dfsg1

=== tests/tools/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 $(BUILDDIR)/golangci-lint:
 	export \
-		VERSION=v1.23.1 \
+		VERSION=v1.24.0 \
 		URL=https://raw.githubusercontent.com/golangci/golangci-lint \
 		BINDIR=$(BUILDDIR) && \
 	curl -sfL $$URL/$$VERSION/install.sh | sh -s $$VERSION

=== debian/changelog ===
golang-github-containers-storage (1.24.8+dfsg1-1ubuntu2) hirsute; urgency=medium

  * d/p/support-runc-1.0.1.patch: Add patch to comply with API changes in
    libcontainer inside runc (LP: #1938908).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 15 Oct 2021 17:49:47 -0300

golang-github-containers-storage (1.24.8+dfsg1-1ubuntu1) hirsute; urgency=medium

  * ignore pkg/fileutils, breaks myseriously wiht golang 1.16

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Feb 2021 11:08:40 -0500

golang-github-containers-storage (1.24.8+dfsg1-1) unstable; urgency=medium

  * New upstream release, focused on targetted bugfixes for podman 3.0

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Feb 2021 14:40:55 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                dh-golang,
                ffjson,
                go-md2man,
-               golang-go (>> 2:1.14~~),
                golang-github-burntsushi-toml-dev,
                golang-github-datadog-zstd-dev,
                golang-github-docker-go-units-dev,
@@ -27,6 +26,7 @@
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
                golang-github-vbatts-tar-split-dev,
+               golang-go (>> 2:1.14~~),
                golang-go-patricia-dev,
                golang-go-zfs-dev,
                golang-gocapability-dev,
@@ -46,7 +46,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          libbtrfs-dev,
-         libdevmapper-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-datadog-zstd-dev,
          golang-github-docker-go-units-dev,
@@ -68,6 +67,7 @@
          golang-go-zfs-dev,
          golang-gocapability-dev,
          golang-golang-x-net-dev,
+         libdevmapper-dev,
          golang-golang-x-sys-dev,
 Description: Go library for handling how containers are stored on disk
  storage is a Go library which aims to provide methods for storing

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Some tests require root privileges. Upstream provides
	# scripts to easily setup test VMs using vagrant, which
	# is not appropriate in a debian package build.
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.config
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.local/share
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/run
	env \
	  HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CACHE_HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CONFIG_HOME=$(CURDIR)/debian/tmp-home/.config \
	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
	  PATH="$(CURDIR)/_output/bin:$$PATH" \
	  DH_GOLANG_EXCLUDES="drivers/aufs drivers/btrfs drivers/devmapper drivers/overlay drivers/vfs drivers/zfs pkg/archive pkg/chrootarchive pkg/idtools pkg/mount pkg/system pkg/unshare pkg/fileutils" \
	dh_auto_test -v
	rm -rf $(CURDIR)/debian/tmp-home
endif

%:
	dh $@ --buildsystem=golang --with=golang --ignore=bin/example

override_dh_installman:
	make -C docs GOMD2MAN=go-md2man
	dh_installman -pcontainers-storage docs/*.1 docs/*.5

## golang-github-containers-storage 1.28.1+ds1

=== debian/changelog ===
golang-github-containers-storage (1.28.1+ds1-1ubuntu2) impish; urgency=medium

  * Disable LTO

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 08 Jun 2021 09:23:50 -0400

golang-github-containers-storage (1.28.1+ds1-1ubuntu1) impish; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Ignore pkg/fileutils, breaks myseriously wiht golang 1.16.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 27 May 2021 15:39:45 -0300

golang-github-containers-storage (1.28.1+ds1-1) experimental; urgency=medium

  * New upstream version 1.28.1+ds1

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 02 Apr 2021 16:49:45 -0400

golang-github-containers-storage (1.25.0+dfsg1-1) experimental; urgency=medium

  * New upstream version 1.25.0+dfsg1
  * Add explicit dependency on golang-github-moby-sys-dev, closes: #976217

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Feb 2021 10:13:16 -0500

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
                golang-github-pquerna-ffjson-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
+               golang-github-ulikunitz-xz-dev,
                golang-github-vbatts-tar-split-dev,
                golang-go (>> 2:1.14~~),
                golang-go-patricia-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DH_GOLANG_GO_GENERATE := 1
+
+# disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
+export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -18,7 +21,7 @@
 	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
 	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
 	  PATH="$(CURDIR)/_output/bin:$$PATH" \
-	  DH_GOLANG_EXCLUDES="drivers/aufs drivers/btrfs drivers/devmapper drivers/overlay drivers/vfs drivers/zfs pkg/archive pkg/chrootarchive pkg/idtools pkg/mount pkg/system pkg/unshare pkg/fileutils" \
+	  DH_GOLANG_EXCLUDES="drivers/aufs drivers/btrfs drivers/devmapper drivers/overlay drivers/vfs drivers/zfs pkg/archive pkg/chrootarchive pkg/idtools pkg/mount pkg/system pkg/unshare pkg/directory pkg/fileutils" \
 	dh_auto_test -v
 	rm -rf $(CURDIR)/debian/tmp-home
 endif

## golang-github-containers-storage 1.31.3+ds1

=== debian/changelog ===
golang-github-containers-storage (1.31.3+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 04 Jun 2021 18:37:25 -0400

golang-github-containers-storage (1.29.0+ds1-1) experimental; urgency=medium

  * New upstream release 1.29.0
    - fixes: "CVE-2021-20291", thanks to Moritz Muehlenhoff (Closes: #988942).

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 May 2021 11:43:08 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_GOLANG_GO_GENERATE := 1
-
-# disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
-export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## golang-github-containers-storage 1.36.0+ds1

=== debian/changelog ===
golang-github-containers-storage (1.36.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Oct 2021 15:19:59 -0400

golang-github-containers-storage (1.36.0+ds1-1) experimental; urgency=medium

  * New upstream release, Closes: #995064
  * Disable estargz support to work around #994601

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Sep 2021 18:04:30 -0400

golang-github-containers-storage (1.34.1+ds1-1) unstable; urgency=medium

  * New upstream release, Closes: #992140

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Aug 2021 17:25:02 +0200

golang-github-containers-storage (1.24.8+dfsg1-2) unstable; urgency=high

  * Build against system copy of golang-github-ulikunitz-xz-dev,
    Adresses: CVE-2021-20291, Closes: #988942

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 21 May 2021 16:04:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-containers-storage
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 11),
@@ -12,8 +11,10 @@
                golang-github-burntsushi-toml-dev,
                golang-github-datadog-zstd-dev,
                golang-github-docker-go-units-dev,
+               golang-github-google-go-intervals-dev,
                golang-github-gotestyourself-gotest.tools-dev,
                golang-github-hashicorp-go-multierror-dev,
+               golang-github-json-iterator-go-dev,
                golang-github-klauspost-pgzip-dev,
                golang-github-mattn-go-shellwords-dev,
                golang-github-moby-sys-dev,
@@ -50,8 +51,10 @@
          golang-github-burntsushi-toml-dev,
          golang-github-datadog-zstd-dev,
          golang-github-docker-go-units-dev,
+         golang-github-google-go-intervals-dev,
          golang-github-gotestyourself-gotest.tools-dev,
          golang-github-hashicorp-go-multierror-dev,
+         golang-github-json-iterator-go-dev,
          golang-github-klauspost-pgzip-dev,
          golang-github-mattn-go-shellwords-dev,
          golang-github-moby-sys-dev,

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+ds1,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/storage/releases \
  .*/refs/tags/v?(\d[\d\.]+)\.tar\.gz

## golang-github-containers-storage 1.37.2+ds1

=== debian/changelog ===
golang-github-containers-storage (1.37.2+ds1-1) unstable; urgency=medium

  * New upstream release.
    Exposes "RawTo{Container,Host}", required to resolve CVE-2022-1227.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Apr 2022 14:58:58 -0400

golang-github-containers-storage (1.37.1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 13 Apr 2022 20:56:37 -0400

golang-github-containers-storage (1.36.0+ds1-3) unstable; urgency=medium

  * re-enable estargz support

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Nov 2021 11:40:57 -0400

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                ffjson,
                go-md2man,
                golang-github-burntsushi-toml-dev,
+               golang-github-containerd-stargz-snapshotter-dev (>= 0.8.0-3),
                golang-github-datadog-zstd-dev,
                golang-github-docker-go-units-dev,
                golang-github-google-go-intervals-dev,
@@ -49,6 +50,7 @@
 Depends: ${misc:Depends},
          libbtrfs-dev,
          golang-github-burntsushi-toml-dev,
+         golang-github-containerd-stargz-snapshotter-dev,
          golang-github-datadog-zstd-dev,
          golang-github-docker-go-units-dev,
          golang-github-google-go-intervals-dev,

## golang-github-containers-storage 1.38.2+ds1

=== debian/changelog ===
golang-github-containers-storage (1.38.2+ds1-1) experimental; urgency=medium

  * New upstream release, targeted at podman 4.0

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Feb 2022 09:35:10 -0500

golang-github-containers-storage (1.37.0+ds1-1) experimental; urgency=medium

  * New upstream release, targeted at podman 4.0

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Jan 2022 07:06:56 -0500

## golang-github-containers-storage 1.43.0+ds1

=== tests/tools/Makefile ===
--- 
+++ 
@@ -23,13 +23,9 @@
 	rm -rf $(BUILDDIR)
 
 $(BUILDDIR): \
-	$(BUILDDIR)/ffjson \
 	$(BUILDDIR)/git-validation \
 	$(BUILDDIR)/go-md2man \
 	$(BUILDDIR)/golangci-lint
-
-$(BUILDDIR)/ffjson:
-	$(call go-build,./vendor/github.com/pquerna/ffjson)
 
 $(BUILDDIR)/git-validation:
 	$(call go-build,./vendor/github.com/vbatts/git-validation)

=== debian/changelog ===
golang-github-containers-storage (1.43.0+ds1-8ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 12:25:55 +0530

golang-github-containers-storage (1.43.0+ds1-8build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:01 +1200

golang-github-containers-storage (1.43.0+ds1-8) unstable; urgency=medium

  * [PATCH] unshare: fix creating a userns when running as root
     - critical when run as UID 0, but without CAP_SYS_ADMIN
  * [PATCH] overlay: fix call to clone on s390x
     - critical for non-root invocations on s390x
  * [PATCH] options: reject empty runroot or graphroot (Closes: #1034871)
     - can avoid serious dataloss when used on btrfs,
       cf. https://github.com/containers/podman/issues/18349

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 Apr 2023 17:48:12 -0400

golang-github-containers-storage (1.43.0+ds1-7) unstable; urgency=medium

  * Team upload
  * Refresh btrfs patch to build with old versions

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Jan 2023 14:49:18 +0800

golang-github-containers-storage (1.43.0+ds1-6) unstable; urgency=medium

  * Tighten dependency on libbtrfs-dev (>> 6.1) also for the -dev package

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 29 Dec 2022 07:28:54 -0500

golang-github-containers-storage (1.43.0+ds1-5) unstable; urgency=medium

  * Tighten dependency on libbtrfs-dev (>> 6.1)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 28 Dec 2022 22:51:20 -0500

golang-github-containers-storage (1.43.0+ds1-4) unstable; urgency=medium

  * Fix FTBFS golang-containerd-btrfs 1.0, closes: #1027116, #1027116

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 28 Dec 2022 10:59:14 -0500

golang-github-containers-storage (1.43.0+ds1-3) unstable; urgency=medium

  * Team upload
  * Add missing dependency on golang-github-cyphar-filepath-securejoin-dev

 -- Benjamin Drung <bdrung@debian.org>  Wed, 14 Dec 2022 13:20:36 +0100

golang-github-containers-storage (1.43.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Nov 2022 08:41:35 -0500

golang-github-containers-storage (1.43.0+ds1-1) experimental; urgency=medium

  * New upstream release, targeted at podman 4.3

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 11 Nov 2022 14:38:05 -0500

golang-github-containers-storage (1.42.0+ds1-1) experimental; urgency=medium

  * New upstream relesae, targeted at podman 4.2

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Aug 2022 09:14:30 +0200

golang-github-containers-storage (1.41.0+ds1-1) experimental; urgency=medium

  * New upstream relesae, targeted at podman 4.1

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 14 May 2022 11:21:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-storage
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 11),
@@ -10,6 +11,8 @@
                go-md2man,
                golang-github-burntsushi-toml-dev,
                golang-github-containerd-stargz-snapshotter-dev (>= 0.8.0-3),
+               golang-github-cyphar-filepath-securejoin-dev,
+               golang-github-containerd-btrfs-dev (>= 1.0.0),
                golang-github-datadog-zstd-dev,
                golang-github-docker-go-units-dev,
                golang-github-google-go-intervals-dev,
@@ -36,7 +39,7 @@
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev (>> 0.0~git20201223),
                libbtrfs-dev,
-               libdevmapper-dev,
+               libdevmapper-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/containers/storage
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
@@ -47,10 +50,9 @@
 
 Package: golang-github-containers-storage-dev
 Architecture: all
-Depends: ${misc:Depends},
-         libbtrfs-dev,
-         golang-github-burntsushi-toml-dev,
+Depends: golang-github-burntsushi-toml-dev,
          golang-github-containerd-stargz-snapshotter-dev,
+         golang-github-cyphar-filepath-securejoin-dev,
          golang-github-datadog-zstd-dev,
          golang-github-docker-go-units-dev,
          golang-github-google-go-intervals-dev,
@@ -73,8 +75,10 @@
          golang-go-zfs-dev,
          golang-gocapability-dev,
          golang-golang-x-net-dev,
+         golang-golang-x-sys-dev,
+         libbtrfs-dev,
          libdevmapper-dev,
-         golang-golang-x-sys-dev,
+         ${misc:Depends}
 Description: Go library for handling how containers are stored on disk
  storage is a Go library which aims to provide methods for storing
  filesystem layers, container images, and containers.  A containers-storage

## golang-github-containers-storage 1.45.1+ds1

=== debian/changelog ===
golang-github-containers-storage (1.45.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * drop patches

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 Jan 2023 03:00:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-containers-storage
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 11),
@@ -38,7 +37,7 @@
                golang-gocapability-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev (>> 0.0~git20201223),
-               libbtrfs-dev,
+               libbtrfs-dev (>= 6.1),
                libdevmapper-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/containers/storage
@@ -76,7 +75,7 @@
          golang-gocapability-dev,
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
-         libbtrfs-dev,
+         libbtrfs-dev (>= 6.1),
          libdevmapper-dev,
          ${misc:Depends}
 Description: Go library for handling how containers are stored on disk

## golang-github-containers-storage 1.46.1+ds1

=== debian/changelog ===
golang-github-containers-storage (1.46.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 14 Jul 2023 15:32:49 -0400

golang-github-containers-storage (1.45.1+ds1-2) experimental; urgency=medium

  * Merge in changes from debian/sid
  * Drop btrfs patch, merged upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 05 Feb 2023 09:48:29 -0500

## golang-github-containers-storage 1.48.1+ds1

=== tests/tools/Makefile ===
GO := go
BUILDDIR := build

all: $(BUILDDIR)

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify

define go-build
	$(shell cd `pwd` && $(GO) build -mod=vendor -o $(BUILDDIR)/$(shell basename $(1)) $(1))
	@echo > /dev/null
endef

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)

$(BUILDDIR): \
	$(BUILDDIR)/git-validation \
	$(BUILDDIR)/go-md2man \
	$(BUILDDIR)/golangci-lint

$(BUILDDIR)/git-validation:
	$(call go-build,./vendor/github.com/vbatts/git-validation)

$(BUILDDIR)/go-md2man:
	$(call go-build,./vendor/github.com/cpuguy83/go-md2man)

$(BUILDDIR)/golangci-lint: VERSION=v1.51.2
$(BUILDDIR)/golangci-lint:
	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/$(VERSION)/install.sh | sh -s -- -b ./$(BUILDDIR) $(VERSION)

=== debian/changelog ===
golang-github-containers-storage (1.48.1+ds1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Oct 2023 03:19:17 +0530

golang-github-containers-storage (1.48.1+ds1-2) unstable; urgency=medium

  * Upload to debian/unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 06:45:34 -0400

golang-github-containers-storage (1.48.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Disable two upstream tests that fail during the package build

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 14 Sep 2023 11:45:46 -0400

golang-github-containers-storage (1.46.1+ds1-4) unstable; urgency=medium

  * Fix typo in Breaks declaration in previous upload

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Sep 2023 06:52:14 -0400

golang-github-containers-storage (1.46.1+ds1-3) unstable; urgency=medium

  * Add Versioned Breaks to help testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 11 Sep 2023 09:53:05 -0400

golang-github-containers-storage (1.46.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Sep 2023 10:58:54 -0400

## golang-github-containers-storage 1.50.2+ds1

=== debian/changelog ===
golang-github-containers-storage (1.50.2+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 25 Oct 2023 17:40:51 -0400

golang-github-containers-storage (1.50.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Sep 2023 09:25:50 -0400
